Email
Inboxes
- List inboxes GET
- Create an inbox POST
- Retrieve an inbox GET
- Update an inbox PATCH
- Delete an inbox DELETE
- List an inbox's threads GET
- Retrieve a thread GET
- Delete a thread DELETE
- List an inbox's messages GET
- Send a message from an inbox POST
- Retrieve a message GET
- Download an attachment of a message GET
- Reply to a message POST
Marketing
SMS
Sign
Hooks
Risk
Platform
List an inbox's messages
GET
/v1/inboxes/{inbox_id}/messages
Messages of every thread, newest first, with a preview instead of their bodies (retrieve one for those). Pass the last id as after to get the next page while has_more is true.
bearerAuthheader
AuthorizationBearer <token>A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.
inbox_id*stringThe inbox's id.
limit?integer1-100, default 20.
Range
1 <= value <= 100after?stringCursor: the id of the last item of the previous page.
Length
length <= 64direction?stringOnly inbound (received) or outbound (sent) messages.
Value in
"inbound""outbound"Coss-Version?"2026-10-10"The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.
Value in
"2026-10-10"A page of messages.
application/json- response
- response
- …
object*"list"Value in
"list"data*array<>has_more*booleanimport { Coss } from "coss";const coss = new Coss({ apiKey: process.env.COSS_API_KEY, baseUrl: "https://api.coss.com",});const { data, error } = await coss.inboxes.messages.list("inbox_01k7c8m4q2f3e9v6t5r1n0p8yz");{ "object": "list", "data": [ { "object": "inbox_message", "id": "imsg_01k7c8m4s1d3c9x0z4e6g7h8j9", "inbox_id": "inbox_01k7c8m4q2f3e9v6t5r1n0p8yz", "thread_id": "thread_01k7c8m4r0c2b8w9y3d5f6g7h8", "direction": "inbound", "status": "received", "from": "Jane Doe <jane@example.com>", "to": [ "support-agent@k3j9x2m7qp4l.inbound.coss.com" ], "cc": [], "subject": "My order arrived damaged", "preview": "Hi, the order arrived damaged. Can you send a new one?", "attachments": [ { "id": "rcvdatt_01k7c8m4r0c2b8w9y3d5f6g7h8", "filename": "photo.jpg", "content_type": "image/jpeg", "content_id": null, "disposition": "attachment", "size": 48213 } ], "spam": false, "received_email_id": "rcvd_01k7c8m4q2f3e9v6t5r1n0p8yz", "email_id": null, "created_at": "2026-10-10T12:00:00.000Z" } ], "has_more": false}